Skip to main content

List all pending partner applications

Retrieve a paginated list of pending applications for your partner program.
1 min read
get/partners/applications
Request example
Response
get/partners/applications

Authorization

Authorizationstringheaderrequired#
Default authentication mechanism

Query parameters

countrystring#
A filter on the list based on the partner's country field.
groupIdstring#
A filter on the list based on the partner's groupId field.
pageinteger#
The page number for pagination. The first page is 1.

Range: true < x <= 9007199254740991

pageSizeinteger#
The number of items per page.

Default: 100

Range: true < x <= 100

Responses

application/json
The list of pending partner applications.
idstringrequired#
createdAtstringrequired#
partnerobjectrequired#
Show child attributes
idstringrequired#
The partner's unique ID on Dub.
namestringrequired#
The partner's full legal name.

Length: max 190

companyNamestringrequired#
If the partner profile type is a company, this is the partner's legal company name.

Length: max 190

emailstringrequired#
The partner's email address. Should be a unique value across Dub.

Length: max 190

imagestringrequired#
The partner's avatar image.
descriptionstring#
A brief description of the partner and their background.

Length: max 5000

countrystringrequired#
The partner's country (required for tax purposes).
groupIdstring#
The partner's group ID on Dub.
statusenum<string>required#
The status of the partner's enrollment in the program.
Options:pendingapprovedrejectedinviteddeclineddeactivatedbannedarchived
websitestring#
The partner's website URL (including the https protocol).
youtubestring#
The partner's YouTube channel username (e.g. johndoe).
twitterstring#
The partner's Twitter username (e.g. johndoe).
linkedinstring#
The partner's LinkedIn username (e.g. johndoe).
instagramstring#
The partner's Instagram username (e.g. johndoe).
tiktokstring#
The partner's TikTok username (e.g. johndoe).
applicationFormDataobject[]required#
Show child attributes
labelstringrequired#
valuestringrequired#